Bug 1309 - garage accounts and bugzilla accounts should be merged
: garage accounts and bugzilla accounts should be merged
Status: NEW
Product: maemo.org Website
Bugzilla
: unspecified
: All Linux
: Low enhancement with 5 votes (vote)
: ---
Assigned To: Alexey Zakhlestin
: Ferenc Szekely
:
:
:
:
  Show dependency tree
 
Reported: 2007-05-08 11:40 UTC by Makoto Sugano
Modified: 2010-10-19 11:59 UTC (History)
7 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Makoto Sugano (reporter) 2007-05-08 11:40:35 UTC
The garage.maemo account and the maemo.org/bugzilla account are different. It'd
be nice if they can be merged. I just guessed that we have a substantial number
of common users of the 2 systems.
Comment 1 Ferenc Szekely maemo.org 2007-05-08 13:45:45 UTC
This is on our todo list, as I have wrote in the announcement. We are trying to
solve that before the summer holidays. But who knows, maybe even before :)
Comment 2 Ferenc Szekely maemo.org 2007-05-08 13:53:42 UTC
*** Bug 1314 has been marked as a duplicate of this bug. ***
Comment 3 Henri Bergius 2007-08-29 13:15:25 UTC
Correct component
Comment 4 Jake Kunnari 2007-09-03 11:06:53 UTC
Resolving this as LATER. Currently we do not have time to investigate this.
Comment 5 Jake Kunnari 2007-12-04 12:07:34 UTC
Quim added to cc-field.
Comment 6 Jake Kunnari 2007-12-04 12:20:16 UTC
this has been added to our roadmap.
Comment 7 Quim Gil nokia 2008-05-13 10:58:51 UTC
Agreed as task for the May sprint
https://garage.maemo.org/plugins/wiki/index.php?id=106&type=g
Comment 8 Ferenc Szekely maemo.org 2008-05-27 14:21:56 UTC
I think the following can be implemented in bugzilla for existing users:

1. Check each registered bugzilla email address (accounts) and find matches in
garage. The only way to compare accounts is to check the email addresses.

2. Prompt the user upon a new bugzilla session start that the 'system thinks'
he has a valid garage account as well and..

3. ask him/her if he would like to 'merge' these two accounts

3a. if the user wants to merge, then indicate in bugzilla's database that the
user will use garage for authentication purposes in the future

3b. if the user does not want to merge the accounts then bail out

4. send a confirmation email about the result of the 'merge', which is in
practice not a merge, rather an a mark in a database.


For new bugzilla registrations we can immediately generate new 'garage
accounts'. For new users bugzilla will only perform authentication against the
garage database.
Comment 9 Quim Gil nokia 2008-05-28 03:14:10 UTC
Good plan but... why asking? If we find matching email addresses it means that
we are talking about the same person and the merge could be done automatically.
Comment 10 Ferenc Szekely maemo.org 2008-05-28 09:34:47 UTC
Like with any other account manipulation I just wanted to request a
confirmation before applying the change. 
But you had a point. Asking here does not make much sense... Without it the
implementation would be also faster. If a user dislikes the idea of using his
garage username and password then he can complain and we will reset his
authentication method. Maybe this is the better way. Thanks Quim for the
comment.
Comment 11 Karsten Bräckelmann 2008-06-29 01:59:42 UTC
(In reply to comment #9)
> Good plan but... why asking? If we find matching email addresses it means that
> we are talking about the same person and the merge could be done automatically.

Because the passwords might be different, which *will* result in user
confusion. The bugzilla password will stop working.

Think of it as a user. It's an enforced password change, with no value.

Unless it actually is a single log-in to both garage and bugzilla. Which means,
that logging in to either of them, automatically will result in being logged in
to the other system as well. This is the only valid reason I see for merging
accounts.

Also, this is how I understand the original report comment 0. Note the word
"merge" accounts. It implies, after merging, there is only one account left. So
there is only one log in...
Comment 12 Ferenc Szekely maemo.org 2008-06-29 03:54:38 UTC
The single login is a good idea, though it is not simple to implement. See the
earlier reports about authentication between garage.maemo.org (GForge) and
maemo.org (Midgard). Now Midgard has a feature to check if a user has an active
GForge session on the user's computer using the same browser. GForge -or better
to say garage- does not have the same feature. 
So while it is possible to hack something similar to what Midgard has atm, I
would rather consider a proper single sign-on infrastructure, that can be used
with all of our web services. We just recently installed the media wiki, and we
have not made any 'single login' feature there either.

So I would rather do this implementation first to share 'accounts', ie. you
could use your garage account to login to bugzilla. Then moving to the next
level would be 'single login, or sign-on', but I would extend that to all of
our web services.
Comment 13 Karsten Bräckelmann 2008-06-29 04:42:09 UTC
(In reply to comment #12)
> So I would rather do this implementation first to share "accounts", ie. you
> could use your garage account to login to bugzilla.

Even this already would involve quite some DB syncing or merging. All of these
use their own user table, with ID, and $webapp specific settings...
Comment 14 Ferenc Szekely maemo.org 2008-06-30 21:25:08 UTC
Changing priority following the decision on the Sprint2 planning meeting.
Comment 15 Andre Klapper maemo.org 2008-10-08 14:51:08 UTC
(Removing deprecated "Future" Target Milestone.)
Comment 16 Otto Kekäläinen 2010-01-18 11:34:07 UTC
This bug needs some attention. Here is a user story to describe the situation:

I just bought my N900 and after fiddling with it I found several bugs. I
though: hey, this is open source, why not participate in maemo.org and file
some bug reports? Then I opened maemo.org and registered an account from the
Register-link on the main page. After clicking the link in the confirmation
link in my e-mail I logged in with my new account and went to the maemo.org
frontpage to choose "Get involved, make bug reports". On that page I clicked
the link to bugs.maemo.org. Then I went on to file a bug until I noticed that I
need to register and log in again. I can say I wasn't feeling very welcomed at
that point..

Please merge the accounts or simply make bugs.maemo.org to authenticate against
the Garage accounts as well. Or alternatively list on the Garage registration
page that the account is valid only for the main Maemo site and not for e.g.
the bug tracker.
Comment 17 Ferenc Szekely maemo.org 2010-06-30 22:05:54 UTC
This is an old, but very important request. 

There are guys who are working on the SSO (Single Sign On), let me cc: them
(Daniel and Alexey). Hopefully they have more up-to-date information on the
progress.
Comment 18 Otto Kekäläinen 2010-06-30 22:45:30 UTC
Same bug applies to meego.org/bugs.meego.org, which you might want to fix too..

BTW, while trying to reply to this bug per email, it bounced:
***
Bug report:
Lähettäjä:     bugzilla-daemon@maemo.org
Vastaanottaja:     otto@sange.fi
Aihe:     [Bug 1309] garage accounts and bugzilla accounts should be merged
Päiväys:     30.06.2010 22.06.10
***
Reply:
Lähettäjä:     Otto Kekäläinen <otto@sange.fi>
Vastaanottaja:     bugzilla-daemon@maemo.org
Aihe:     Re: [Bug 1309] garage accounts and bugzilla accounts should be merged
Päiväys:     30.06.2010 22.37.53
***
Bounce:
The following message to <bugzilla-daemon@maemo.org> was undeliverable.
The reason for the problem:
5.1.0 - Unknown address error 550-'5.1.1 <bugzilla-daemon@maemo.org>: Recipient
address rejected: User unknown in local recipient table'
Comment 19 Ferenc Szekely maemo.org 2010-06-30 22:47:33 UTC
(In reply to comment #18)
> Same bug applies to meego.org/bugs.meego.org, which you might want to fix too..
Please file that to the meego bugzilla, they are a different team / project
etc.


> 
> BTW, while trying to reply to this bug per email, it bounced:
> ***
> Bug report:
> Lähettäjä:   bugzilla-daemon@maemo.org
> Vastaanottaja:  otto@sange.fi
> Aihe:   [Bug 1309] garage accounts and bugzilla accounts should be merged
> Päiväys:      30.06.2010 22.06.10
> ***
> Reply:
> Lähettäjä:   Otto Kekäläinen <otto@sange.fi>
> Vastaanottaja:  bugzilla-daemon@maemo.org
> Aihe:   Re: [Bug 1309] garage accounts and bugzilla accounts should be merged
> Päiväys:      30.06.2010 22.37.53
> ***
> Bounce:
> The following message to <bugzilla-daemon@maemo.org> was undeliverable.
> The reason for the problem:
> 5.1.0 - Unknown address error 550-'5.1.1 <bugzilla-daemon@maemo.org>: Recipient
> address rejected: User unknown in local recipient table'
>
Comment 20 Ferenc Szekely maemo.org 2010-07-12 13:19:17 UTC
This bug should be reassigned. Daniel, Alexey: any updates on SSO?
Comment 21 Ferenc Szekely maemo.org 2010-10-19 11:59:22 UTC
I am not the right person to deal with this issue. SSO was supposed to taken
care by Daniel and Alexey. Please send us an update if possible. In the
meanwhile I am passing the ball to Alexey.